org.apache.synapse.commons.jmx

## Interface ThreadingViewMBean

- All Known Implementing Classes:
    ThreadingView

      public interface ThreadingViewMBean

  Provides metrics related to a given thread pool or group.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAvgBlockedWorkerPercentage()`
    `double` | `getAvgUnblockedWorkerPercentage()`
    `java.lang.String[]` | `getDeadLockedWorkers()`
    `double` | `getLast15MinuteBlockedWorkerPercentage()`
    `double` | `getLast24HourBlockedWorkerPercentage()`
    `double` | `getLast5MinuteBlockedWorkerPercentage()`
    `double` | `getLast8HourBlockedWorkerPercentage()`
    `double` | `getLastHourBlockedWorkerPercentage()`
    `double` | `getLastMinuteBlockedWorkerPercentage()`
    `java.util.Date` | `getLastResetTime()`
    `int` | `getTotalWorkerCount()`
    `void` | `reset()`

- - ### Method Detail

    - #### getTotalWorkerCount

          int getTotalWorkerCount()

    - #### getDeadLockedWorkers

          java.lang.String[] getDeadLockedWorkers()

    - #### getAvgBlockedWorkerPercentage

          double getAvgBlockedWorkerPercentage()

    - #### getAvgUnblockedWorkerPercentage

          double getAvgUnblockedWorkerPercentage()

    - #### getLastMinuteBlockedWorkerPercentage

          double getLastMinuteBlockedWorkerPercentage()

    - #### getLast5MinuteBlockedWorkerPercentage

          double getLast5MinuteBlockedWorkerPercentage()

    - #### getLast15MinuteBlockedWorkerPercentage

          double getLast15MinuteBlockedWorkerPercentage()

    - #### getLastHourBlockedWorkerPercentage

          double getLastHourBlockedWorkerPercentage()

    - #### getLast8HourBlockedWorkerPercentage

          double getLast8HourBlockedWorkerPercentage()

    - #### getLast24HourBlockedWorkerPercentage

          double getLast24HourBlockedWorkerPercentage()

    - #### reset

          void reset()

    - #### getLastResetTime

          java.util.Date getLastResetTime()

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.